#include <hmg.ch>

PROCEDURE MAIN()

   cPTFilName := "HMG_ChLog80L.txt"   
   
   DEFINE WINDOW frmPPTFile ;
      AT 0,0 ;
      WIDTH 600;
      HEIGHT 200 ;
      TITLE 'Test Print a Plain Text File ( Express way )' ;
      ON INIT PrFilExpr( cPTFilName ) ;
      MAIN 

      ON KEY ESCAPE OF frmPPTFile ACTION ThisWindow.Release
      
      DEFINE MAIN MENU
         POPUP '&File'
            ITEM '&Select' ACTION SelPlTFile()
            ITEM '&Print'  ACTION PrFilExpr( cPTFilName )
         END POPUP
      END MENU
        
      DEFINE STATUSBAR FONT 'Verdana' SIZE 8
         STATUSITEM cPTFilName 
         STATUSITEM PADC( GetDefaultPrinter(), 20 )
         STATUSITEM WIDTH 100         
         STATUSITEM WIDTH 100         
      END STATUSBAR

   END WINDOW

   frmPPTFile.Center
   frmPPTFile.Activate

RETURN  // Main()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE SelPlTFile()                    // Select Plain Text File

   LOCAL cSelFName := Getfile( { ;                                            // acFilter
                               { 'Text Files',      '*.txt' } ,;             
                               { 'Program Files',    '*.prg' } ,;             
                               { 'Format Files',     '*.fmg' } ,;             
                               { 'Header Files',     '*.ch'  } ,;             
                               { 'C Source Files',   '*.c'   } ,;             
                               { 'CPP Source Files', '*.cpp'  } ;             
                             },;     
                           'Select Plain Text File' ,;                             // Title  
                           GetStartUpFolder(),;                        // cDefaultPath 
                           .F.,;                                       // lMultiSelect 
                           .T. )                                      // lNoChangeCurrDir
                           
   IF ! EMPTY( cSelFName )
      cPTFilName := cSelFName   
      frmPPTFile.StatusBar.Item( 1 ) := cSelFName   
      frmPPTFile.StatusBar.Item( 3 ) := PADC( FSizVerb( cSelFName ), 20 )
      frmPPTFile.StatusBar.Item( 4 ) := ''   
   ENDIF
   
RETURN  // SelPlTFile()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

FUNCTION FSizVerb( ;                        // File Size -- verbal
                cFileName )  
                
   LOCAL nFileSize := FILESIZE( cFileName ),;
         cRetVal   := ''
         
   IF nFileSize < 10^3
      cRetVal := NTOC( nFileSize ) + " Bytes"
   ELSEIF nFileSize < 10^6
      cRetVal := LTRIM( STR( nFileSize / 10^3, 9, 3 ) ) + " KB"
   ELSE
      cRetVal := LTRIM( STR( nFileSize / 10^6, 9, 3 ) ) + " MB"
   ENDIF
      
RETURN cRetVal // FSizVerb()       

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE PrFilExpr( cPTFilName )            

   LOCAL nPPagCou := 0   // Printed page count
         
   WaitWindow( "Printing ...", .T.)
   nPPageCou := PPTFExpr( cPTFilName ) 
   frmPPTFile.StatusBar.Item( 4 ) := PADC( NTOC( nPPageCou ), 20 )
   WaitWindow() 
   
RETURN  // PrFilExpr() 

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.
